# frozen_string_literal: true

module Xikolo
  module Model
    class CourseRepository
      def courses_for(user, course_id)
        courses = enrolled_courses_for(user).value!
        courses.select! {|c| c[:id] == course_id } unless course_id.nil?
        courses
      end

      private

      def enrolled_courses_for(user)
        attributes = {per_page: 100, user_id: user.id}

        Xikolo.api(:course).value!.rel(:courses).get attributes
      end
    end
  end
end
