# frozen_string_literal: true

module Xikolo
  module V2
    module Endpoint
      class ListSelftests < Xikolo::API
        desc 'Returns all selftests for the user'
        get do
          authenticate!

          courses = course_repo.courses_for current_user, params[:course_id]

          questions = []
          answers = []
          courses.each do |course|
            questions += get_paged! Xikolo.api(:quiz).value!.rel(:questions).get(selftests: true, course_id: course.id).value!
            questions.each do |question|
              question[:course_id] = course.id
              answers += question.answers
            end
          end

          # present :courses, courses, with: Xikolo::Entities::Course
          present :questions, questions, with: Xikolo::Entities::Question
          present :answers, answers, with: Xikolo::Entities::Answer
        end
      end
    end
  end
end
