/*
 * Returns a client ID, that is saved in local storage. It gets lazy initialized during its first access.
 * This can be used to identify the current client installation, e.g. for user analytics.
 */
function getClientID() {
  if (typeof Storage !== 'undefined') {
    if (localStorage.getItem('client_id') == null) {
      localStorage.setItem('client_id', generateUUID());
    }
    return localStorage.getItem('client_id');
  } else {
    return null;
  }
}
