$(function () {
  $(document).on(
    'click',
    '[data-behavior=reactivate-prerequisite]',
    function (e) {
      var courseTitle = e.target.dataset['courseTitle'];
      var courseId = e.target.dataset['courseId'];
      var reactivationUrl = e.target.dataset['url'];

      xuiSwal
        .fire({
          title: I18n.t('courses.prerequisites.reactivation_modal.title', {
            course: courseTitle,
          }),
          html: I18n.t('courses.prerequisites.reactivation_modal.text'),
          icon: 'warning',
          confirmButtonText: I18n.t(
            'courses.prerequisites.reactivation_modal.button_confirm',
          ),
          confirmButtonAriaLabel: I18n.t(
            'courses.prerequisites.reactivation_modal.button_confirm',
          ),
          cancelButtonText: I18n.t(
            'courses.prerequisites.reactivation_modal.button_cancel',
          ),
          cancelButtonAriaLabel: I18n.t(
            'courses.prerequisites.reactivation_modal.button_cancel',
          ),
          expectRejections: true,
          preConfirm: function () {
            return $.post(reactivationUrl, { reactivate: courseId }).then(
              null, // No special handling for the success case
              function () {
                Swal.showValidationError(
                  I18n.t('courses.prerequisites.reactivation_modal.error'),
                );
                return false;
              },
            );
          },
          showLoaderOnConfirm: true,
        })
        .then(function (result) {
          if (result.value) {
            xuiSwal
              .fire({
                title: I18n.t('courses.prerequisites.success_modal.title'),
                text: I18n.t('courses.prerequisites.success_modal.text', {
                  course: courseTitle,
                }),
                icon: 'success',
                showCancelButton: false,
              })
              .then(function () {
                document.location.reload();
              });
          }
        });
    },
  );
});
