function flow_component_dates(component) {
  var offset;

  if ($(component).find('.flow-component').css('left').indexOf('px') > -1) {
    offset = parseInt(
      $($(component).find('.flow-component')).css('left').replace('px', ''),
    );
  } else {
    offset = 0;
  }

  component.append(
    '<div class="js-date" style="position: absolute; padding-right: 5px; font-size: 10px; right: ' +
      (15 - offset) +
      'px; border-right: 2px solid ' +
      component.children().first().css('background-color') +
      '">' +
      component.data('deadline') +
      '</div>',
  );
  component.append(
    '<div class="js-date" style="position: absolute; padding-left: 5px; font-size: 10px; top: -14px; left: ' +
      (2 + offset) +
      'px; border-left: 2px solid ' +
      component.children().first().css('background-color') +
      '">' +
      component.data('unlock') +
      '</div>',
  );
}

function build_assessment_flow(elements, top_margin) {
  if ($('.pa-flow').length) {
    // Used to reset and initially build the workflow
    $.each(elements, function (index, element) {
      $(element)
        .parent()
        .css('left', index * -15 + 'px'); // 15px steps since the
      $(element)
        .parent()
        .css('z-index', 1000 - index);
      $(element)
        .parent()
        .css('margin-top', top_margin + 'px');

      // First element only has a 10px padding, all others 25px.
      if (index != 0) {
        $(element).css('padding-left', '25px');
      } else {
        $(element).css('padding-left', '10px');
      }

      $(element)
        .siblings()
        .each(function (_, sibling) {
          $(sibling).remove();
        });

      flow_component_dates($(element).parent());
    });
  }
}

ready(function () {
  if ($('.pa-flow').length) {
    $('.component-wrapper').each(function (index, element) {
      flow_component_dates($(element));
    });

    // Build with all elements
    build_assessment_flow($('.flow-component'), 0);

    $(window).resize(function () {
      $.doTimeout('resize', 200, function () {
        var reference = $('.flow-component').first().offset().top;

        var wrapped_components = $.map(
          $('.flow-component'),
          function (element, _) {
            // Base assumption: Use the y value of the first element as reference
            if ($(element).offset().top != reference) {
              return element;
            }
          },
        );

        // Re-set ALL alignments
        build_assessment_flow($('.flow-component'), 0);

        if (wrapped_components.length) {
          build_assessment_flow(wrapped_components, 25);
        }
      });
    });

    $(window).trigger('resize');
  }
});
