// Store array with mappings from numerical to hex representation
var _hexMap = [];
for (var i = 0; i < 256; i++) {
  _hexMap[i] = (i + 0x100).toString(16).substr(1);
}

/*
 * Generates a random UUID (version 4).
 */
function generateUUID() {
  var crypto = window.crypto || window.msCrypto;

  if (crypto && crypto.getRandomValues) {
    // crypto-based RNG with high quality of randomness
    var rand = new Uint8Array(16);

    crypto.getRandomValues(rand);

    rand[6] = (rand[6] & 0x0f) | 0x40;
    rand[8] = (rand[8] & 0x3f) | 0x80;

    return (
      _hexMap[rand[0]] +
      _hexMap[rand[1]] +
      _hexMap[rand[2]] +
      _hexMap[rand[3]] +
      '-' +
      _hexMap[rand[4]] +
      _hexMap[rand[5]] +
      '-' +
      _hexMap[rand[6]] +
      _hexMap[rand[7]] +
      '-' +
      _hexMap[rand[8]] +
      _hexMap[rand[9]] +
      '-' +
      _hexMap[rand[10]] +
      _hexMap[rand[11]] +
      _hexMap[rand[12]] +
      _hexMap[rand[13]] +
      _hexMap[rand[14]] +
      _hexMap[rand[15]]
    );
  } else {
    // fallback to Math.random() with unspecified quality of randomness
    return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(
      /[xy]/g,
      function (c) {
        var r = (Math.random() * 16) | 0,
          v = c === 'x' ? r : (r & 0x3) | 0x8;
        return v.toString(16);
      },
    );
  }
}
