$(document).on('confirm', function (event) {
  event.preventDefault();

  var element = $(event.target);
  var message = element.data('confirm');
  var title = element.data('confirm-title') || I18n.t('global.are_you_sure');

  // Display prompt
  xuiSwal
    .fire({
      title: title,
      text: message,
      icon: 'warning',
      confirmButtonText: I18n.t('global.confirm'),
      confirmButtonAriaLabel: I18n.t('global.confirm'),
      cancelButtonText: I18n.t('global.cancel'),
      cancelButtonAriaLabel: I18n.t('global.cancel'),
    })
    .then(function (result) {
      if (result.value) {
        // User hits OK
        // Remove data-confirm
        element.data('confirm', null);
        // Re-click link
        element.trigger('click.rails');
        // Replace data-confirm (in case of AJAX update, still want prompt next time)
        element.data('confirm', message);
      }
    });

  // Prevent rails from popping up a browser box, we've already done the work
  return false;
});
