# frozen_string_literal: true

class Admin::RichtextForm < XUI::Form
  self.form_name = 'richtext'

  attribute :id, :uuid
  attribute :text, :markup,
    uploads: {purpose: 'course_richtext'}
  attribute :course_id, :uuid

  validates :text, presence: true

  def save
    response = course_api.rel(:richtexts).post(to_resource).value!
    self.id = response['id']
    true
  rescue Restify::ResponseError
    false
  end

  def save!
    response = course_api.rel(:richtexts).post(to_resource).value!
    self.id = response['id']
    self
  end

  def delete
    course_api.rel(:richtext).delete(id: id.to_s).value
  end

  def course_api
    @course_api = Xikolo.api(:course).value!
  end
end
