# frozen_string_literal: true

module Course
  class Richtext < ApplicationRecord
    belongs_to :course, class_name: 'Course::Course'
    validates :text, presence: true

    def text
      Xikolo::S3.externalize_file_refs(self[:text], public: true)
    end

    def as_api_v2
      @api_v2 ||= ::Course::Richtext::APIV2.new(self).as_json # rubocop:disable Naming/MemoizedInstanceVariableName
    end
  end
end
