# frozen_string_literal: true

class LearningUnitPresenter
  def initialize(learning_unit, course_items)
    @learning_unit = learning_unit
    @course_items = course_items
  end

  def id
    @learning_unit['id']
  end

  def priority
    @learning_unit['priority']
  end

  def knowledge_acquisition_items
    @learning_unit['knowledge_acquisition_items']
  end

  def knowledge_examination_items
    @learning_unit['knowledge_examination_items']
  end

  def acquisition_item_ids
    @learning_unit['knowledge_acquisition_items']&.map {|i| i['id'] }
  end

  def examination_item_ids
    @learning_unit['knowledge_examination_items']&.map {|i| i['id'] }
  end

  def decorated_available_items
    @decorated_available_items ||= @course_items.map do |item|
      [item['id'], "#{item['title']} (#{item['content_type']})"]
    end
  end
end
