# frozen_string_literal: true

class ObjectivePresenter
  attr_reader :learning_units, :course_items

  def initialize(objective:, course_items: nil)
    @objective = objective
    @learning_units = objective['learning_units'].map {|lu| LearningUnitPresenter.new lu, course_items }
    @course_items = course_items
  end

  def persisted?
    @objective.persisted?
  end

  def id
    @objective['id']
  end

  def position
    @objective['position']
  end

  def title
    @objective['title']
  end

  def description
    @objective['description']
  end

  def completion_type
    @objective['completion_type']
  end

  def final
    @objective['final']
  end
end
