# frozen_string_literal: true

module Xikolo
  module Video
    class Client < Acfs::Service
      identity :video

      use Acfs::Middleware::JsonDecoder
      use Acfs::Middleware::JsonEncoder

      class SystemInfo < Acfs::Resource
        service Xikolo::Video::Client, path: 'system_info'

        attribute :running, :boolean
        attribute :build_time, :string
        attribute :build_number, :integer
        attribute :version, :string
        attribute :hostname, :string
      end
    end
  end

  module Concerns
    require 'xikolo/video/concerns/video'
    require 'xikolo/video/concerns/stream'
    require 'xikolo/video/concerns/provider'
  end

  require 'xikolo/video/video'
  require 'xikolo/video/stream'
  require 'xikolo/video/provider'
end
