# frozen_string_literal: true

module Xikolo::Video::Concerns
  module Stream
    extend ActiveSupport::Concern

    included do
      validates :title,
        presence: true,
        allow_blank: false

      validate :validate_hd_sd_url_present
    end

    def validate_hd_sd_url_present
      return if sd_url.present? || hd_url.present?

      errors.add :sd_url, 'At least one url is required'
      errors.add :hd_url, 'At least one url is required'
    end
  end
end
