# frozen_string_literal: true

module Xikolo::Video::Concerns
  module Video
    extend ActiveSupport::Concern

    included do
      validates :title,
        presence: true,
        allow_blank: false

      validates :description,
        presence: true,
        allow_blank: true

      validate :stream?
    end

    def stream?
      return false unless lecturer_stream_id.nil? &&
                          slides_stream_id.nil? &&
                          pip_stream_id.nil?

      errors.add :lecturer_stream_id, 'At least one stream is required'
      errors.add :slides_stream_id, 'At least one stream is required'
      errors.add :pip_stream_id, 'At least one stream is required'
    end
  end
end
