import { bool, gt } from '@ember/object/computed';
import { computed } from '@ember/object';
import { inject as service } from '@ember/service';
import Component from '@ember/component';
import DS from 'ember-data';

export default Component.extend({
  classNames: ['course-dates-list'],

  tracking: service(),

  courseDates: computed('course', function() {
    return DS.PromiseArray.create({
      promise: this.get('course.dates').then((dates) => dates.slice(0, 3)),
    });
  }),
  courseDatesDataAvailable: bool('courseDates.isFulfilled'),
  courseDatesAvailable: gt('courseDates.length', 0),

  actions: {
    visitDateResource() {
      this.get('tracking').track({
        verb: 'ld_dates_visit',
        resource: window.location.pathname,
        resourceType: 'page',
        context: { course_id: this.get('course.id') },
      });
    },
  },
});
