import { bool } from '@ember/object/computed';
import $ from 'jquery';
import { computed } from '@ember/object';
import Component from '@ember/component';
import DS from 'ember-data';

export default Component.extend({
  timebasedActivityData: computed('course', function() {
    const courseDatesParams = `start_date=${this.get(
      'course.startAt'
    ).toISOString()}&end_date=${this.get('course.endAt').toISOString()}`;
    const promise = $.getJSON(
      `/api/v2/learning_insights/activity.json?course_id=${this.get(
        'course.id'
      )}&${courseDatesParams}`
    );
    return DS.PromiseObject.create({ promise: promise });
  }),
  timebasedActivityDataAvailable: bool('timebasedActivityData.isFulfilled'),
  timebasedActivity: computed('timebasedActivityData.content', function() {
    return Object.values(this.get('timebasedActivityData.content')).map((hr) =>
      Object.values(hr)
    );
  }),
  dayOfWeek: computed(function() {
    return this.intl.t('progress.learning_activity_weekbased.day_of_week');
  }),
  hour: computed(function() {
    return this.intl.t('progress.learning_activity_weekbased.hour');
  }),
  hoverTemplate: computed(function() {
    return this.intl.t('progress.learning_activity_weekbased.hover_template');
  }),
});
