import { bool } from '@ember/object/computed';
import $ from 'jquery';
import { computed } from '@ember/object';
import { inject as service } from '@ember/service';
import Component from '@ember/component';
import DS from 'ember-data';

export default Component.extend({
  classNames: ['pinboard-activity-list'],

  tracking: service(),

  pinboardStatsData: computed('course', function() {
    const promise = $.getJSON(
      `/api/v2/learning_insights/pinboard.json?course_id=${this.get(
        'course.id'
      )}`
    );
    return DS.PromiseObject.create({ promise: promise });
  }),
  pinboardStatsAvailable: bool('pinboardStatsData.isFulfilled'),
  pinboardUrl: computed('course.slug', function() {
    return `/courses/${this.get('course.slug')}/pinboard`;
  }),

  actions: {
    visitPinboard() {
      this.get('tracking').track({
        verb: 'ld_pinboard_forum_visit',
        resource: window.location.pathname,
        resourceType: 'page',
        context: { course_id: this.get('course.id') },
      });
    },
  },
});
