import Component from '@ember/component';

export default Component.extend({
  classNames: ['plotly-scatter'],

  init() {
    this._super(...arguments);
    this.setProperties({
      chartLayout: {
        // Layout options
        // See https://plot.ly/javascript/reference/#layout
        yaxis: {
          fixedrange: true,
          range: this.get('yaxisRange'),
          type: 'linear',
          linewidth: 1,
          title: this.get('yaxisTitle'),
        },
        xaxis: {
          fixedrange: true,
          range: this.get('xaxisRange'),
          type: 'date',
          calendar: 'gregorian',
          linewidth: 1,
          showgrid: false,
        },
        margin: {
          l: 60,
          r: 60,
          b: 60,
          t: 20,
        },
      },
      chartConfig: {
        displayModeBar: false,
        // Override default options from config/environment.js & plotly.js
        // See https://github.com/plotly/plotly.js/blob/master/src/plot_api/plot_config.js
      },
      // Component will listen for these events and forward them via onPlotlyEvent
      plotlyEvents: [],
      chartData: this.get('chartData'),
    });
  },
});
