import { bool, gt } from '@ember/object/computed';
import $ from 'jquery';
import { computed } from '@ember/object';
import Component from '@ember/component';
import DS from 'ember-data';
import moment from 'moment';

export default Component.extend({
  classNames: ['quiz-submission-timeliness'],

  timelinessData: computed('course.id', function() {
    const promise = $.getJSON(
      `/api/v2/learning_insights/quizzes/timeliness.json?course_id=${this.get(
        'course.id'
      )}`
    );
    return DS.PromiseObject.create({ promise: promise });
  }),
  timelinessDataAvailable: bool('timelinessData.isFulfilled'),
  timeliness: computed('timelinessData', function() {
    return Math.floor(this.get('timelinessData.content.avg_minutes'));
  }),
  timelinessAbs: computed('timeliness', function() {
    return Math.abs(this.get('timeliness'));
  }),
  humanizedTimeliness: computed('timelinessAbs', function() {
    return moment.duration(this.get('timelinessAbs'), 'minutes').humanize();
  }),
  hasSubmittedExercise: gt('timeliness', 0.0),
  showDeadlineInfo: gt('timelinessData.content.submission_count', 0),
});
