import { bool, gt } from '@ember/object/computed';
import $ from 'jquery';
import { computed } from '@ember/object';
import Component from '@ember/component';
import DS from 'ember-data';

export default Component.extend({
  classNames: ['quiz-time-spent'],

  submitDurationData: computed('course.id', function() {
    const promise = $.getJSON(
      `/api/v2/learning_insights/quizzes/submit_duration.json?course_id=${this.get(
        'course.id'
      )}`
    );
    return DS.PromiseObject.create({ promise: promise });
  }),
  submitDurationDataAvailable: bool('submitDurationData.isFulfilled'),
  submitDurationSum: computed('submitDurationData.actual_time', function() {
    return Math.ceil(
      this.get('submitDurationData.actual_time.sum_seconds') / 60
    );
  }),
  submitDurationSumComparable: computed(
    'submitDurationData.comparison.actual_time',
    function() {
      return Math.ceil(
        this.get('submitDurationData.comparison.actual_time.sum_seconds') / 60
      );
    }
  ),
  timeEffortSumComparable: computed(
    'submitDurationDat.comparison.estimated_time_efforta',
    function() {
      return Math.ceil(
        this.get(
          'submitDurationData.comparison.estimated_time_effort.sum_minutes'
        )
      );
    }
  ),
  hasSubmittedQuiz: gt('submitDurationData.num_submissions', 0),
  hasComparableSubmittedQuiz: gt(
    'submitDurationData.comparison.num_submissions',
    0
  ),
});
