import { computed } from '@ember/object';
import { inject as service } from '@ember/service';
import Component from '@ember/component';

export default Component.extend({
  classNames: ['repetition-suggestion-item'],

  store: service(),
  tracking: service(),

  userPoints: computed('repetitionSuggestion.userPoints', function() {
    return this.formatPoints(this.get('repetitionSuggestion.userPoints'));
  }),
  maxPoints: computed('repetitionSuggestion.maxPoints', function() {
    return this.formatPoints(this.get('repetitionSuggestion.maxPoints'));
  }),

  formatPoints(points) {
    return points.toFixed(1);
  },

  actions: {
    visitPinboard() {
      this.get('tracking').track({
        verb: 'ld_suggestion_forum_visit',
        resource: window.location.pathname,
        resourceType: 'page',
        context: { course_id: this.get('course.id') },
      });
    },
    visitItem() {
      this.get('tracking').track({
        verb: 'ld_suggestion_item_visit',
        resource: window.location.pathname,
        resourceType: 'page',
        context: { course_id: this.get('course.id') },
      });
    },
  },
});
