import { bool, gt } from '@ember/object/computed';
import { computed } from '@ember/object';
import { inject as service } from '@ember/service';
import Component from '@ember/component';
import DS from 'ember-data';

export default Component.extend({
  classNames: ['repetition-suggestions-list'],

  features: service(),
  tracking: service(),

  repetitionSuggestions: computed('course', function() {
    return DS.PromiseArray.create({
      promise: this.get('course.repetitionSuggestions').then((suggestions) =>
        suggestions.slice(0, 3)
      ),
    });
  }),
  repetitionSuggestionsDataAvailable: bool('repetitionSuggestions.isFulfilled'),
  repetitionSuggestionsAvailable: gt('repetitionSuggestions.length', 0),
  isRecapModeEnabled: computed(function() {
    return this.get('features').isEnabled('recap_mode');
  }),
  learnUrl: computed('course.id', function() {
    return `/learn?course_id=${this.get('course.id')}`;
  }),

  actions: {
    visitRecap() {
      this.get('tracking').track({
        verb: 'ld_suggestion_recap_visit',
        resource: window.location.pathname,
        resourceType: 'page',
        context: { course_id: this.get('course.id') },
      });
    },
  },
});
