import { computed } from '@ember/object';
import Component from '@ember/component';

export default Component.extend({
  tagName: 'tr',
  classNames: ['pinboard-question'],
  classNameBindings: ['thread.sticky', 'thread.isRead:read:unread'],

  filterQuery: '',

  lastThreadUpdate: computed('thread.updatedAt', function() {
    return this.get('thread.updatedAt').fromNow();
  }),

  threadTitle: computed('thread.{title,isBlocked}', function() {
    if (this.get('thread.isBlocked')) {
      return this.intl.t('pinboard.question.blocked', {
        title: this.get('thread.title'),
      });
    } else {
      return this.get('thread.title');
    }
  }),
  threadUrl: computed('thread.urls.deeplink', 'filterQuery', function() {
    const query = this.get('filterQuery');

    return this.get('thread.urls.deeplink') + (query ? `?${query}` : '');
  }),
});
