import { computed } from '@ember/object';
import Component from '@ember/component';
import { flow, groupBy, map, orderBy } from 'lodash-es';

export default Component.extend({
  tagName: 'section',
  classNames: ['content'],

  eventsByDays: computed('events.[]', function() {
    return flow(
      (events) => orderBy(events, (event) => event.get('createdAt'), 'desc'),
      (ordered) =>
        groupBy(ordered, (event) => event.get('createdAt').format('L')),
      (grouped) => map(grouped, (events, day) => ({ day, events }))
    )(this.get('events').toArray());
  }),
});
