import { computed } from '@ember/object';
import Component from '@ember/component';

const ICON_MAP = {
  'pinboard.question.answer.comment.new': 'comments-o',
  'pinboard.question.comment.new': 'comments-o',
  'pinboard.question.answer.new': 'comments-o',
  'pinboard.question.new': 'question',
  'pinboard.discussion.comment.new': 'comments-o',
  'pinboard.discussion.new': 'commenting-o',
  'news.announcement': 'envelope-o',
  'course.announcement': 'envelope-o',
  'learning_room.new_file': 'file',
  'learning_room.new_membership': 'user-plus',
  'learning_room.quit_membership': 'user-times',
};

export default Component.extend({
  tagName: 'li',

  eventTime: computed('event.createdAt', function() {
    return this.get('event.createdAt').fromNow();
  }),

  eventIcon: computed('event.type', function() {
    return ICON_MAP[this.get('event.type')] || 'bell-o';
  }),
});
