import { computed } from '@ember/object';
import Component from '@ember/component';

export default Component.extend({
  tagName: 'li',
  classNames: ['dropdown'],

  default: 'all',

  actions: {
    select(val) {
      this.set('selected', val);

      // If no two-way data binding is possible, a change
      // handler can be passed in.
      if (this.get('onchange')) {
        this.get('onchange')(val);
      }
    },
  },

  notDefault: computed('default', 'selected', function() {
    return this.get('selected') !== this.get('default');
  }),

  selectedName: computed('options', 'selected', function() {
    const options = this.get('options');
    const selected = this.get('selected');

    return options.find((option) => option.id === selected).name;
  }),
});
