import { guidFor } from '@ember/object/internals';
import Component from '@ember/component';

export default Component.extend({
  classNames: ['util-form-group'],
  required: true,

  // Props
  label: '',

  // Lifecycle hooks
  didInsertElement() {
    this._super(...arguments);

    // Create a connection between label and form element
    const label = this.$('label')[0];
    const field = this.$(':input:not(button)')[0];

    if (field) {
      if (!field.id) {
        field.id = guidFor(field);
      }

      label.htmlFor = field.id;
    }
  },
});
