import { computed, get } from '@ember/object';
import Component from '@ember/component';

export default Component.extend({
  tagName: 'select',

  selected: '',
  valueKey: 'name',

  // HTML properties
  class: '',

  init() {
    this._super(...arguments);

    if (this.fallback === undefined) {
      this.fallback = this.get('intl').t('global.select');
    }
  },

  change() {
    if (this.get('onchange')) {
      this.get('onchange')(this.$().val());
    }
  },

  didRender() {
    this.$().val(this.get('selected'));
  },

  realOptions: computed('options', function() {
    return this.get('options').map((item) => {
      if (item.id) {
        return {
          id: item.id,
          name: get(item, this.get('valueKey')),
        };
      } else {
        return {
          id: item,
          name: item,
        };
      }
    });
  }),
});
