import Component from '@ember/component';

export default Component.extend({
  tagName: 'button',
  classNames: ['btn'],
  attributeBindings: ['loading:disabled'],

  loading: false,

  init() {
    this._super(...arguments);

    if (this.text === undefined) {
      this.text = this.get('intl').t('global.submit');
    }
  },

  click() {
    this.set('loading', true);

    let result;
    try {
      result = this.get('onsubmit')();
    } catch (_) {
      this.set('loading', false);
      return;
    }

    // If we have an asynchronous event handler, we switch to a loading state and back after the action has completed
    if (result && result.then) {
      result.finally(() => {
        this.set('loading', false);
      });
    }
  },
});
