export default {
  name: 'inject-services',
  initialize: function initialize(application) {
    // Inject the translation service into models and components
    application.inject('model', 'intl', 'service:intl');
    application.inject('controller', 'intl', 'service:intl');
    application.inject('component', 'intl', 'service:intl');
    application.inject('route', 'intl', 'service:intl');

    // Inject the preferences service into controllers, components and routes
    application.inject('controller', 'preferences', 'service:preferences');
    application.inject('component', 'preferences', 'service:preferences');
    application.inject('route', 'preferences', 'service:preferences');

    // Inject the config service into routes
    application.inject('route', 'config', 'service:config');
  },
};
