export default {
  name: 'configure-locale',
  initialize(application) {
    const backend = window.I18n;

    // Fetch default locale, current locale (and brand variant) from backend
    let locales = [backend.defaultLocale];

    if (backend.locale.length) {
      locales = [
        `${backend.locale}-x-${window.I18n.brand}`,
        backend.locale,
        ...locales,
      ];
    }

    // Use the localization service to configure the entire app
    application.lookup('service:localization').set('locale', locales);
  },
};
