import { computed } from '@ember/object';
import DS from 'ember-data';

export default DS.Model.extend({
  type: DS.attr('string'),
  title: DS.attr('string'),
  date: DS.attr('moment'),

  icon: computed('type', function() {
    switch (this.get('type')) {
      case 'item_submission_deadline':
      case 'item_submission_publishing':
      case 'on_demand_expires':
        return 'alarm-clock';
      case 'section_start':
        return 'unlock';
      default:
        return 'calendar-day';
    }
  }),

  url: computed('type', function() {
    return this._internalModel._data._links['html'];
  }),
  due: computed('intl.locale', 'date', function() {
    if (this.get('date')) {
      return this.get('date').locale(this.get('intl.locale')).fromNow();
    }
  }),
  dateNotice: computed('type', 'due', function() {
    return this.intl.t(`progress.course_dates.${this.get('type')}`, {
      due: this.get('due'),
    });
  }),
});
