import { computed } from '@ember/object';
import DS from 'ember-data';

export default DS.Model.extend({
  title: DS.attr('string'),
  contentType: DS.attr('string'),
  icon: DS.attr('string'),
  visited: DS.attr('boolean'),
  optional: DS.attr('boolean'),
  timeEffort: DS.attr('number'),

  formattedTimeEffort: computed('timeEffort', function() {
    if (!this.get('timeEffort') || this.get('timeEffort') === 0) return;
    const timeEffortMin = Math.ceil(this.get('timeEffort') / 60.0);
    return this.intl.t('time_effort_short', { count: timeEffortMin });
  }),

  itemUrl: computed(function() {
    return this._internalModel._data._links['html'];
  }),
});
