import { computed } from '@ember/object';
import DS from 'ember-data';
import { sortBy } from 'lodash-es';

export default DS.Model.extend({
  title: DS.attr(),
  description: DS.attr(),
  tags: DS.attr(),
  courses: DS.hasMany('course'),
  localizations: DS.hasMany('document-localization'),

  tag_list: computed('tags', function() {
    return sortBy(this.get('tags'), (tag) => tag);
  }),
});
