import { computed } from '@ember/object';
import DS from 'ember-data';

export default DS.Model.extend({
  title: DS.attr('string'),
  available: DS.attr('boolean'),
  parent: DS.attr('boolean'),
  completed: DS.attr('boolean'),
  mainExercises: DS.attr(),
  selftestExercises: DS.attr(),
  bonusExercises: DS.attr(),
  visits: DS.attr(),
  items: DS.attr(),

  timeToComplete: computed('items.[]', function() {
    const remainingTimeEfforts = this.get('items')
      .filter((item) => !item.completed)
      .mapBy('time_effort');
    // If any time effort is nil we cannot estimate the time since the data is not complete
    if (remainingTimeEfforts.any((e) => e === null)) return;
    return remainingTimeEfforts.reduce((a, b) => a + Math.ceil(b / 60), 0);
  }),

  courseProgress: DS.belongsTo('course-progress'),
});
