import EmberRouter from '@ember/routing/router';
import config from './config/environment';

const Router = EmberRouter.extend({
  location: config.locationType,
  rootURL: config.rootURL,
});

Router.map(function() {
  this.route('course', { path: 'courses/:course_code' }, function() {
    this.route('pinboard');
    this.route('progress');
    this.route('documents');
    this.route('section', { path: 'sections/:section_id' }, function() {
      this.route('pinboard');
    });
    this.route('learning-rooms', { path: 'learning_rooms' });
    this.route(
      'learning-room',
      { path: 'learning_rooms/:learning_room_id' },
      function() {
        this.route('pinboard');
      }
    );
  });
  this.route('preferences');
  this.route('learn');
});

export default Router;
