import { hash } from 'rsvp';
import Route from '@ember/routing/route';

export default Route.extend({
  queryParams: {
    languageFilter: {
      refreshModel: true,
    },
    tagFilter: {
      refreshModel: true,
    },
  },

  model(params) {
    const filter = { course: this.modelFor('course').id };

    if (params.languageFilter !== 'all') {
      filter.language = params.languageFilter;
    }
    if (params.tagFilter !== 'all') {
      filter.tag = params.tagFilter;
    }

    return hash({
      documents: this.store.query('document', {
        include: 'localizations',
        filter: filter,
      }),
    });
  },
});
