import { underscore } from '@ember/string';
import JSONAPISerializer from 'ember-data/serializers/json-api';

export default JSONAPISerializer.extend({
  keyForAttribute(attr) {
    return underscore(attr);
  },
  keyForRelationship(rel) {
    return underscore(rel);
  },
  normalize(modelClass, resourceHash) {
    const normalized = this._super(...arguments);

    // HACK: Include per-model links in the internal attributes hash until they are exposed by Ember Data.
    // These can be accessed on a model instance through `model._internalModel._data._links`.
    // See https://github.com/emberjs/data/issues/4161 and https://github.com/emberjs/data/issues/2905.
    if (resourceHash.hasOwnProperty('links')) {
      normalized.data.attributes._links = resourceHash.links;
    }

    return normalized;
  },
});
