import $ from 'jquery';
import Service from '@ember/service';

export default Service.extend({
  init() {
    this._super(...arguments);

    this.config = this.config || {};

    // Load and parse the config info passed from the backend
    const serializedConfig = $('meta[name=site-config]').attr('content');
    try {
      this.set('config', JSON.parse(serializedConfig));
    } catch (e) {
      // If we are unable to parse the JSON, this likely means invalid data was
      // passed from the backend, so we assume there are no custom settings.
    }
  },

  read(key) {
    return this.get(`config.${key}`);
  },
});
