import $ from 'jquery';
import Service from '@ember/service';

export default Service.extend({
  init() {
    this._super(...arguments);

    this.enabled = this.enabled || [];

    // Load and parse the array of features passed from the backend
    const serializedFeatures = $('meta[name=enabled-features]').attr('content');
    try {
      this.set('enabled', JSON.parse(serializedFeatures));
    } catch (e) {
      // If we are unable to parse the JSON, this likely means invalid data was
      // passed from the backend, so we assume there are no enabled features.
    }
  },

  isEnabled(key) {
    return this.get('enabled').indexOf(key) !== -1;
  },
});
