import { observer, computed } from '@ember/object';
import Service, { inject as service } from '@ember/service';
import moment from 'moment';

const momentLocaleMap = {
  cn: 'zh-cn',
};

export default Service.extend({
  intl: service(),

  localeChanged: observer('locale', function() {
    // Notify intl module of locale(s)
    this.get('intl').set('locale', this.get('locale'));

    // Configure MomentJS to use correct locale
    moment.locale(this.get('momentLocale'));
  }),

  momentLocale: computed('intl.locale', function() {
    const rootLocale = this.get('intl.locale')[0].split('-')[0];
    return momentLocaleMap[rootLocale]
      ? momentLocaleMap[rootLocale]
      : rootLocale;
  }),
});
