import Service, { inject as service } from '@ember/service';

export default Service.extend({
  store: service('store'),

  write(key, value) {
    this.get('store').push({
      data: {
        type: 'preference',
        id: key,
        attributes: {
          value: value,
        },
      },
    });

    return this.get('store').peekRecord('preference', key).save();
  },

  read(key, fallback) {
    const record = this.get('store').peekRecord('preference', key);

    return record ? record.get('value') : fallback;
  },

  has(key) {
    return !!this.get('store').peekRecord('preference', key);
  },
});
