'use strict';

const EmberApp = require('ember-cli/lib/broccoli/ember-app');

module.exports = function(defaults) {
  const app = new EmberApp(defaults, {
    // All asset handling for production is done by Sprockets
    // in the Rails app. Thus, we disable it here.
    fingerprint: {
      enabled: false,
    },
    'ember-cli-uglify': {
      enabled: false,
    },
    minifyCSS: {
      enabled: false,
    },
    sassOptions: {
      implementation: require('sass-embedded'),
    },

    intl: {
      silent: true,
    },

    // Exclude any vendor assets already provided by the backend
    vendorFiles: {
      // Normally, our backend provides jQuery.
      // Since we don't run the tests through the backend, we need jQuery only there.
      'jquery.js': {
        test: 'vendor/ember/jquery/jquery.js',
      },
    },

    // Any other options
    storeConfigInMeta: false,
  });

  return app.toTree();
};
