import { hash } from 'rsvp';
import EmberObject from '@ember/object';
import RefreshPeriodicallyMixin from '../../../mixins/refresh-periodically';
import { module, test } from 'qunit';

module('Unit | Mixin | refresh-periodically');

test('it periodically refreshes the route', function(assert) {
  let modelCount = 0;
  let setCount = 0;
  const PollingRoute = EmberObject.extend(RefreshPeriodicallyMixin, {
    pollingInterval: 400,
    model() {
      modelCount++;
      return hash({});
    },
  });

  const subject = PollingRoute.create({
    controller: {
      set() {
        setCount++;
      },
    },
  });
  subject.activate();

  const done = assert.async();

  setTimeout(function() {
    assert.equal(modelCount, 2);
    assert.equal(setCount, 2);

    done();
  }, 1000);
});
