import { moduleForModel, test } from 'ember-qunit';

moduleForModel('course', 'Unit | Model | course | searchHaystack', {
  needs: [
    'service:features',
    'service:config',
    'model:channel',
    'model:course-section',
    'model:enrollment',
    'model:document',
    'model:course-date',
    'model:repetition-suggestion',
  ],
});

test('transforms search fields into lowercase strings', function(assert) {
  const course = this.subject({
    title: 'Course Title',
    slug: 'course-slug',
    abstract: 'This is a course abstract.',
    teachers: 'Jim Knopf, Lukas',
    classifiers: {
      required: ['a', 'b', 'c'],
    },
  });

  assert.deepEqual(course.get('searchHaystack'), [
    'course title',
    'course-slug',
    'this is a course abstract.',
    'jim knopf, lukas',
    'a b c',
  ]);
});

test('ignores `null` abstract', function(assert) {
  const course = this.subject({
    title: 'Course Title',
    slug: 'course-slug',
    abstract: null,
    teachers: 'Jim Knopf, Lukas',
    classifiers: {
      required: ['a', 'b', 'c'],
    },
  });

  assert.deepEqual(course.get('searchHaystack'), [
    'course title',
    'course-slug',
    'jim knopf, lukas',
    'a b c',
  ]);
});
