# frozen_string_literal: true

def set_xikolo_config(name, value)
  Server.each :config do |app|
    Rack::Remote.invoke app.id.to_sym, :set_xikolo_config, name:, value:
  end
end

Gurke.configure do |c|
  c.before(:scenario) do |scenario|
    scenario.tags.each do |tag|
      case tag
        # with:flag
        # Enable boolean flags in Xikolo.config
        when /^with:(.+)$/
          set_xikolo_config(Regexp.last_match(1), true)

        # without:flag
        # Disable boolean flags in Xikolo.config
        when /^without:(.+)$/
          set_xikolo_config(Regexp.last_match(1), false)

        # feature:flipper_name
        # Assign a feature flipper to all platform users
        when /^feature:(.+)$/
          Server[:account].api
            .rel(:group).get(id: 'all').value!
            .rel(:features).patch({Regexp.last_match(1) => true}).value!
      end
    end
  end
end
