# frozen_string_literal: true

if Rails.env.integration?
  XiIntegration.hook :test_setup do
    Rails.logger.debug 'Clearing rails cache'
    Rails.cache.clear
  end

  require 'omniauth'

  OmniAuth.config.test_mode = true
  OmniAuth.config.add_mock :saml,
    provider: 'saml',
    uid: '1234567',
    info: {
      name: 'Lassie Fairy',
      email: 'lassie@company.com',
    },
    credentials: {},
    extra: {}
end
