# frozen_string_literal: true

# Sample verbose configuration file for Unicorn (not Rack)

# Load service original configuration file
#
# Require to allow services setup custom hooks
#
file = "#{Dir.pwd}/config/unicorn.rb"
instance_eval(File.read(file), file) if File.exist?(file)

# Override usual settings for integration
#
timeout ENV.fetch('UNICORN_TIMEOUT', 20).to_i
worker_processes 1

logger Logger.new($stderr)

check_client_connection true
