# frozen_string_literal: true

require 'omniauth'
require 'ruby-saml'
require 'omniauth/strategies/xikolo_saml'

module OmniAuth
  module Strategies
    class Bird < XikoloSAML
      info do
        {
          email: @attributes['urn:oid:0.9.2342.19200300.100.1.3'],
          name: @attributes['urn:oid:2.5.4.3'],
          display_name: @attributes['urn:oid:2.16.840.1.113730.3.1.241'],
        }
      end

      uid { @name_id || @attributes['urn:oid:0.9.2342.19200300.100.1.1'] }
    end
  end
end

OmniAuth.config.add_camelization 'bird', 'Bird'
