# frozen_string_literal: true

class RichtextsController < ApplicationController
  responders Responders::ApiResponder,
    Responders::DecorateResponder,
    Responders::HttpCacheResponder

  respond_to :json

  rfc6570_params show: [:raw]
  def show
    respond_with Richtext.find params[:id]
  end

  def create
    richtext = Richtext.new id: UUID4.new, course_id: params[:course_id]
    respond_with Richtext::Store.call richtext, text: params.require(:text)
  end

  def update
    richtext = Richtext.find params[:id]
    respond_with Richtext::Store.call richtext, text: params.require(:text)
  end

  def destroy
    respond_with Richtext.find(params[:id]).destroy
  end

  def decoration_context
    {raw: params[:raw]}
  end
end
