# frozen_string_literal: true

FactoryBot.define do
  factory :video, class: 'Duplicated::Video' do
    id { SecureRandom.uuid }
    pip_stream_id { SecureRandom.uuid }
  end

  factory :subtitle, class: 'Duplicated::Subtitle' do
    association :video
    lang { 'en' }
    automatic { false }
  end

  factory :subtitle_cue, class: 'Duplicated::SubtitleCue' do
    association :subtitle, strategy: :create
    sequence(:identifier) {|n| n }
    sequence(:start) {|n| ((n - 1) * 10).seconds }
    sequence(:stop) {|n| (n * 10).seconds }
    text { 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.' }
  end
end
