# frozen_string_literal: true

require 'spec_helper'

describe 'Richtext: Deletion', type: :request do
  subject(:deletion) do
    api.rel(:richtext).delete(id: richtext_id).value!
  end

  let(:api) { Restify.new(:test).get.value! }
  let!(:richtext) { create(:richtext) }
  let(:richtext_id) { richtext.id }

  it { is_expected.to respond_with :no_content }

  it 'destroys the richtext' do
    expect { deletion }.to change(Richtext, :count).from(1).to(0)
  end
end
