# frozen_string_literal: true

class LearningUnitsController < RESTController
  respond_to :json

  has_scope :objective_id do |_controller, scope, value|
    scope.for_objective value.to_s
  end

  rfc6570_params index: %i[objective_id]

  def index
    respond_with collection, collection: true
  end

  def create
    learning_unit = LearningUnit.create learning_unit_params

    respond_with learning_unit
  end

  def show
    respond_with resource
  end

  private

  def learning_unit_params
    params.permit :objective_id
  end
end
