# frozen_string_literal: true

class ProgressesController < RESTController
  respond_to :json

  has_scope :user_objective_id do |_controller, scope, value|
    scope.for_user_objective value.to_s
  end

  has_scope :user_id do |_controller, scope, value|
    scope.for_user value.to_s
  end

  rfc6570_params index: %i[user_objective_id user_id]

  def index
    respond_with collection
  end

  def show
    respond_with resource
  end

  private

  def progress_params
    params.permit :user_id, :user_objective_id
  end
end
