# frozen_string_literal: true

class ProgressDecorator < ApplicationDecorator
  delegate_all

  def as_json(_opts = {})
    {**fields, **links}
  end

  def as_event(_opts = {})
    fields
  end

  protected

  def fields
    {
      id:,
      user_objective_id:,
      points_progress:,
      visit_progress:,
      achievable:,
    }
  end

  def links
    {
      url: h.progress_url(object),
      user_objective_url: h.user_objective_rfc6570.partial_expand(id: user_objective_id),
    }
  end
end
