# frozen_string_literal: true

module Notify
  extend ::ActiveSupport::Concern

  included do
    after_commit(on: :create) { notify :create }
    after_commit(on: :update) { notify :update }
    after_commit(on: :destroy) { notify :destroy }
  end

  def notify(action)
    reload unless action == :destroy # refresh embedded resources

    Msgr.publish(decorate.as_event,
      to: "xikolo.learningobjectives.#{self.class.name.downcase}.#{action}")
  end
end
