# frozen_string_literal: true

Rails.application.routes.draw do
  defaults format: 'json' do
    resources :objectives, only: %i[index create show update destroy]
    resources :learning_units, only: %i[index create show]
    resources :user_objectives, only: %i[index create update show]
    resources :progresses, only: %i[index show]
    resources :user_statuses, only: %i[index create update show]

    root 'root#index'

    # Necessary endpoint for Loadbalancing
    resources :system_info, only: %i[show]
  end
end
