# frozen_string_literal: true

module Errors
  class Problem < StandardError
    attr_reader :reason

    def initialize(reason)
      super
      @reason = reason
    end

    def as_json(opts)
      {errors: {base: [reason]}}.as_json(opts)
    end
  end

  class CourseItemNotFound < Problem
    def initialize(reason = 'course_item_not_found')
      super
    end
  end
end
