# frozen_string_literal: true

require 'rails_helper'

RSpec.describe ProgressDecorator, type: :decorator do
  let(:user_objective) { create(:user_objective) }
  let(:progress) { create(:progress, user_objective:) }
  let(:decorator) { progress.decorate }

  context 'as_json' do
    subject(:the_progress) { decorator.as_json.stringify_keys }

    it 'serializes resource as JSON' do
      expect(the_progress).to include(
        'id' => progress.id,
        'user_objective_id' => user_objective.id,
        'points_progress' => progress.points_progress,
        'visit_progress' => progress.visit_progress,
        'achievable' => progress.achievable,
        'url' => progress_url(progress)
      )
    end
  end
end
