# frozen_string_literal: true

require 'rails_helper'

RSpec.describe UserObjectiveDecorator, type: :decorator do
  let(:objective) { create(:objective) }
  let(:user_objective) { create(:user_objective, objective:) }
  let(:decorator) { user_objective.decorate }

  context 'as_json' do
    subject(:the_user_objective) { decorator.as_json.stringify_keys }

    it 'serializes resource as JSON' do
      expect(the_user_objective).to include(
        'id' => user_objective.id,
        'user_id' => user_objective.user_id,
        'objective_id' => objective.id,
        'active' => user_objective.active,
        'created_at' => user_objective.created_at.iso8601,
        'completed_at' => user_objective.completed_at,
        'url' => user_objective_url(user_objective)
      )
    end
  end
end
