# frozen_string_literal: true

require 'rails_helper'

RSpec.describe ItemResult, type: :model do
  subject { item_result }

  let(:item) { create(:item) }
  let(:item_result) { create(:item_result, item:) }

  describe '#visited?' do
    context 'w/o visited item' do
      it { is_expected.not_to be_visited }
    end

    context 'w/ visited item' do
      let(:item_result) { create(:item_result, item:, visited: true) }

      it { is_expected.to be_visited }
    end
  end

  describe '#points?' do
    context 'w/o user points' do
      it { is_expected.not_to be_points }
    end

    context 'w/ visited item' do
      let(:item_result) { create(:item_result, item:, user_points: 20) }

      it { is_expected.to be_points }
    end
  end
end
