# frozen_string_literal: true

require 'rails_helper'

RSpec.describe 'LearningUnit: Create', type: :request do
  subject(:create_unit) { api.rel(:learning_units).post(attrs).value! }

  let(:api) { Restify.new(:test).get.value! }
  let!(:objective) { create(:objective) }
  let(:objective_id) { objective.id }
  let(:attrs) do
    {
      objective_id:,
    }
  end

  it 'creates new learning unit record' do
    expect { create_unit }.to change(LearningUnit, :count).from(0).to(1)
  end

  it 'responds with a follow location' do
    expect(create_unit.follow).to eq learning_unit_url LearningUnit.last
  end

  it 'returns learning unit resource' do
    expect(create_unit.to_h).to include \
      'id' => LearningUnit.last.id,
      'objective_id' => attrs[:objective_id],
      'knowledge_acquisition_items' => [],
      'knowledge_examination_items' => [],
      'url' => learning_unit_url(LearningUnit.last)
  end
end
