# frozen_string_literal: true

require 'rails_helper'

RSpec.describe 'Objective: Destroy', type: :request do
  subject(:destroy_objective) { api.rel(:objective).delete(id: objective.id).value! }

  let(:api) { Restify.new(:test).get.value! }
  let(:objective) { create(:objective) }

  before { objective }

  it 'deletes the objective' do
    expect { destroy_objective }.to change(Objective, :count).from(1).to(0)
  end

  it 'returns the destroyed objective resource' do
    expect(destroy_objective.to_h).to include \
      'id' => objective.id,
      'context_id' => objective.context_id,
      'title' => objective.title,
      'description' => objective.description,
      'completion_type' => objective.completion_type
  end
end
