# frozen_string_literal: true

module MarkdownService
  class << self
    def render_html(text)
      renderer.render text
    end

    private

    def renderer
      @renderer ||= Redcarpet::Markdown.new(
        Redcarpet::Render::HTML.new(
          no_images: true,
          no_links: false,
          filter_html: true
        ),
        autolink: true
      )
    end
  end
end
