# frozen_string_literal: true

require 'spec_helper'

RSpec.describe Message::Deliver, type: :operation do
  subject(:op) { described_class }

  let(:message) { create(:message) }

  describe '::call' do
    context 'with a list of recipients' do
      # recipient can be any object responding to #each
      let(:recipient) { [user1, user2] }

      let(:user1) { instance_double(Hash) }
      let(:user2) { instance_double(Hash) }

      it 'invokes Delivery::Create for the user' do
        expect(Delivery::Create).to receive(:call).once.with(message, user1)
        expect(Delivery::Create).to receive(:call).once.with(message, user2)

        op.call(message, recipient)
      end
    end
  end
end
