# frozen_string_literal: true

class VideoPresenter
  def initialize(video, item, course_code)
    @video = video
    @item = item
    @course_code = course_code
  end

  def title
    @video['title']
  end

  def description
    @video['description']
  end

  def thumbnail
    @video['thumbnail']
  end

  def url
    short_item_id = UUID4(@item['id']).to_str(format: :base62)
    Xikolo.base_url.join("courses/#{@course_code}/items/#{short_item_id}").to_s
  end

  def duration
    return unless @video['duration']

    Time.at(@video['duration']).utc.strftime(
      @video['duration'] < 3600 ? '%M:%S' : '%H:%M:%S'
    )
  end
end
