# frozen_string_literal: true

require 'spec_helper'

describe VideoPresenter, type: :presenter do
  subject { described_class.new video, nil, 'course_code' }

  describe '#duration' do
    subject { super().duration }

    let(:video) { {'duration' => duration} }

    context 'no duration' do
      let(:duration) { nil }

      it { is_expected.to be_nil }
    end

    context 'less than an hour' do
      let(:duration) { (2 * 60) + 3 }

      it { is_expected.to eq '02:03' }
    end

    context 'more than an hour' do
      let(:duration) { (61 * 60) + 3 }

      it { is_expected.to eq '01:01:03' }
    end
  end
end
