# frozen_string_literal: true

require 'rspec/rails'

RSpec.configure do |config|
  config.before do
    memo = Xikolo.brand

    # Reset the config after every test case so that modifying the config for one scenario
    # does not affect following scenarios (which can lead to nasty order dependencies).
    Xikolo::Config.reload

    # IMPORTANT: The brand is set via environment variable - we need to restore that value
    # here, as `reload` above would restore the defaults from xikolo.yml (and xikolo-config).
    # Test cases (other than brand-specific tests) should never change the brand.
    Xikolo.brand = memo
  end
end
