# frozen_string_literal: true

module Processors
  class VideoProcessor < BaseProcessor
    attr_reader :video

    def initialize(item)
      super

      @video = nil
    end

    def load_resources!
      raise Errors::InvalidItemType unless item.content_type == 'video'

      @video = Xikolo.api(:video).value!
        .rel(:video)
        .get(id: item.content_id)
        .value!
    rescue Restify::NotFound
      raise Errors::LoadResourcesError
    end

    def calculate
      return if video.blank?

      @time_effort = video['duration']
    end
  end
end
