# frozen_string_literal: true

require 'securerandom'

FactoryBot.define do
  sequence :uuid do
    UUID4(SecureRandom.uuid)
  end

  factory :item do
    id { '00000001-3300-4444-9999-000000000001' }
    content_id { '00000001-3800-4444-9999-000000000001' }
    content_type { 'quiz' }
    section_id { '00000002-3300-4444-9999-000000000001' }
    course_id { '00000003-3300-4444-9999-000000000001' }
    time_effort { 30 }
    calculated_time_effort { 30 }
    time_effort_overwritten { false }
  end

  trait :time_effort_overwritten do
    time_effort_overwritten { true }
  end

  factory :time_effort_job do
    association :item
    job_id { nil }
    status { 'waiting' }
  end

  trait :started do
    status { 'started' }
    job_id { SecureRandom.uuid }
  end

  trait :cancelled do
    status { 'cancelled' }
  end
end
