# frozen_string_literal: true

class ApplicationController < ActionController::Base
  # This is API!
  skip_before_action :verify_authenticity_token

  rescue_from ActiveRecord::RecordNotFound, with: :error_404

  def error(code, opts = {})
    render({plain: '{}', status: code}.merge(opts))
  end

  def error_404
    error 404
  end
end
