# frozen_string_literal: true

module HasProvider
  def provider
    if params[:provider_id].present?
      Provider.find(params[:provider_id])
    elsif params[:provider_name].present?
      Provider.find_by(name: params[:provider_name])
    else
      default_provider
    end
  end

  def default_provider
    @default_provider ||= Provider.find_by(default: true)
  end
end
