# frozen_string_literal: true

class RootController < ApplicationController
  respond_to :json

  def index
    expires_in 5.minutes, public: true

    response.headers['Vary'] = %w[Host Accept]

    respond_with routes
  end

  private

  def routes
    {
      clone_subtitle_url: clone_subtitle_rfc6570,
      download_url: download_rfc6570,
      live_event_url: live_event_rfc6570,
      live_events_url: live_events_rfc6570,
      provider_url: provider_rfc6570,
      providers_url: providers_rfc6570,
      root_url: root_rfc6570,
      stream_url: stream_rfc6570,
      streams_url: streams_rfc6570,
      subtitle_url: subtitle_rfc6570,
      subtitles_url: subtitles_rfc6570,
      system_info_url: system_info_rfc6570,
      video_url: video_rfc6570,
      video_sync_url: video_sync_rfc6570,
      videos_url: videos_rfc6570,
    }
  end
end
