# frozen_string_literal: true

class ThumbnailsController < ApplicationController
  responders Responders::DecorateResponder,
    Responders::HttpCacheResponder,
    Responders::PaginateResponder

  respond_to :json

  def index
    video = Video \
      .where(id: params[:video_id]) \
      .where.not(thumbnails_uri: nil).take!
    respond_with video.thumbnails
  end

  def extract
    video = Video.find params[:video_id]
    video.thumbnails.delete_all
    video.trigger_slide_thumbnail_creation force: true
    head :created, content_type: 'text/plain'
  end
end
