# frozen_string_literal: true

class VideoSyncsController < ApplicationController
  responders Responders::DecorateResponder,
    Responders::HttpCacheResponder,
    Responders::PaginateResponder

  respond_to :json

  def create
    SyncProviderWorker.perform_async(
      params[:provider_id],
      params[:full] == 'true'
    )

    head :created, content_type: 'text/plain'
  end

  def show
    # Detecting running state was not reliable and is not longer supported
    respond_with running: nil
  end
end
