# frozen_string_literal: true

class StreamDecorator < Draper::Decorator
  delegate_all

  def as_json(_opts = {})
    {
      id:,
      title:,
      width:,
      height:,
      hd_url:,
      sd_url:,
      hls_url:,
      downloads: {
        hd: hd_download_url,
        sd: sd_download_url,
      }.compact,
      hd_size:,
      sd_size:,
      hls_size:,
      poster:,
      duration:,
      provider_id:,
      provider_video_id:,
      provider: provider_metadata,
      created_at:,
    }.as_json
  end

  private

  def provider_metadata
    return if provider.blank?

    {
      id: provider_id,
      type: provider.provider_type,
      name: provider.name,
      meta: provider.safe_metadata,
    }
  end
end
