# frozen_string_literal: true

class SubtitleDecorator < Draper::Decorator
  delegate_all
  decorates_association :cues

  def as_json(opts = {})
    fields.merge(
      cues:
    ).merge(urls).as_json(opts)
  end

  def short
    fields.merge(urls)
  end

  def to_vtt
    "WEBVTT\n\n#{cues.map(&:to_vtt).join("\n")}"
  end

  private

  def fields
    {
      id:,
      language: lang,
      automatic:,
    }
  end

  def urls
    {
      url: h.subtitle_url(to_param),
      clone_url: h.clone_subtitle_url(to_param),
    }
  end
end
