# frozen_string_literal: true

class Video::Destroy < ApplicationOperation
  attr_reader :video

  def initialize(video)
    super()

    @video = video
  end

  def call
    video.delete
    referenced_objects.each {|o| FileDeletionWorker.perform_async o }
    video
  end

  def referenced_objects
    Xikolo::S3.extract_file_refs(video.description) + [
      video.reading_material_uri,
      video.slides_uri,
      video.transcript_uri,
    ].compact
  end
end
