# frozen_string_literal: true

class SyncSubtitleWorker
  include Sidekiq::Job

  sidekiq_options queue: :provider_sync

  def perform(video_id, language)
    video = Video.find video_id
    stream = video.pip_stream || video.lecturer_stream || video.slides_stream

    stream.provider.remove_subtitles! stream, language

    if (subtitle = video.subtitles.find_by(lang: language))
      stream.provider.attach_subtitle! stream, subtitle
    end
  rescue ActiveRecord::RecordNotFound
    # noop
  end
end
