# frozen_string_literal: true

# Be sure to restart your server when you modify this file.

# Add new mime types for use in respond_to blocks:
# Mime::Type.register "text/richtext", :rtf

Mime::Type.register 'text/vtt', :vtt

# Teach our controllers how to render custom MIME types
ActionController::Renderers.add :vtt do |obj, _options|
  str = obj.respond_to?(:to_vtt) ? obj.to_vtt : obj.to_s
  render body: str, content_type: 'text/vtt'
end
