# frozen_string_literal: true

Xikolo::VideoService::Application.routes.draw do
  resources :subtitles, except: %i[new edit] do
    member do
      post :clone
    end
  end

  defaults format: 'json' do
    resources :videos, except: %i[new edit] do
      resources :thumbnails, only: %i[index]
      post '/thumbnails', to: 'thumbnails#extract', as: :thumbnails_extraction

      member do
        post :clone
        post :sync, as: :sync_single
      end
    end

    resources :streams, except: %i[new edit]
    resources :downloads, only: [:show]
    resources :system_info, only: [:show]
    resource :video_sync, only: %i[show create]
    resources :providers
    resources :live_events

    root to: 'root#index'
  end
end
