# frozen_string_literal: true

require 'spec_helper'

RSpec.describe RootController, type: :controller do
  subject(:root_resource) { get :index }

  let(:json) { JSON.parse response.body }

  describe 'keys' do
    subject(:root_keys) { JSON.parse(root_resource.body).keys }

    it do
      expect(root_keys).to match_array %w[
        clone_subtitle_url
        live_event_url
        live_events_url
        provider_url
        providers_url
        root_url
        stream_url
        streams_url
        subtitle_url
        subtitles_url
        system_info_url
        video_url
        video_sync_url
        videos_url
        download_url
      ]
    end
  end

  describe 'response' do
    describe 'Cache-Control' do
      subject(:cache_control) { root_resource.headers['Cache-Control'].strip.split(/\s*,\s*/) }

      it 'is public cacheable for 5 minutes' do
        expect(cache_control).to match_array %w[public max-age=300]
      end
    end
  end
end
