# frozen_string_literal: true

require 'spec_helper'

RSpec.describe LiveEventDecorator, type: :decorator do
  let(:live_event) { described_class.new create(:live_event) }

  context 'as_json' do
    subject { json }

    let(:json) { live_event.as_json.stringify_keys }

    it { is_expected.to include('event_type') }
    it { is_expected.to include('title') }
    it { is_expected.to include('description') }
    it { is_expected.to include('start_at') }
    it { is_expected.to include('speaker') }
    it { is_expected.to include('live_video_id') }
    it { is_expected.to include('live_chat_id') }
  end
end
