# frozen_string_literal: true

require 'spec_helper'

RSpec.describe ProviderDecorator, type: :decorator do
  let(:decorator) { described_class.new create(:provider) }

  context 'as_json' do
    subject { json }

    let(:json) { decorator.as_json.stringify_keys }

    it { is_expected.to include('id') }
    it { is_expected.to include('name') }
    it { is_expected.to include('default') }
    it { is_expected.not_to include('token') }
  end
end
