# frozen_string_literal: true

require 'spec_helper'

RSpec.describe SubtitleDecorator, type: :decorator do
  let(:subtitle) { described_class.new create(:subtitle) }

  context 'as_json' do
    subject { json }

    let(:json) { subtitle.as_json.stringify_keys }

    it { is_expected.to include('id') }
    it { is_expected.to include('language') }
    it { is_expected.to include('automatic') }
    it { is_expected.to include('cues') }
    it { is_expected.to include('url') }
  end

  context 'to_vtt' do
    subject { vtt }

    let(:vtt) { subtitle.to_vtt }

    it { is_expected.to eq "WEBVTT\n\n" }
  end
end
