# frozen_string_literal: true

FactoryBot.define do
  factory :provider do
    sequence(:name) {|n| "test_name_#{n}" }
    token { 'test token' }
    provider_type { 'vimeo' }
    credentials { {token: 'test token'} }

    trait :vimeo do
      # Defaults are currently vimeo
    end

    trait :kaltura do
      provider_type { 'kaltura' }
      credentials do
        {
          user_id: 'kaltura-user@example.com',
          partner_id: '1234567',
          token_id: 'token-id',
          token: 'secret-token',
        }
      end
    end
  end
end
