# frozen_string_literal: true

FactoryBot.define do
  factory :stream do
    sequence(:title) {|n| "Test Title #{n}" }
    sequence(:provider_video_id) {|n| (100_000 + n).to_s }
    hd_url    { 'http://player.vimeo.com/external/73209171.hd.mp4?s=9d2233269d6cbd749c78c80274f09387' }
    sd_url    { 'http://player.vimeo.com/external/73209171.sd.mp4?s=9d2233269d6cbd749c78c80274f09387' }
    hls_url   { 'https://player.vimeo.com/external/164726756.m3u8?s=69976e2f9e2216472fa63f8feff4503ee2d6513b&oauth2_token_id=621239406' }
    width     { 1600 }
    height    { 900 }
    sd_size   { 5000 }
    hd_size   { 10_000 }
    hls_size  { 7000 }
    downloads_expire { nil }

    association :provider, strategy: :create

    trait :from_api do
      provider_video_id { '137864042' }
      title { 'test' }
      sd_url { 'http://player.vimeo.com/external/137864042.sd.mp4?s=1a2ed4179c6d7e7b5038e17b163f17ea&profile_id=112&oauth2_token_id=60566597' }
      hd_url { 'http://player.vimeo.com/external/137864042.hd.mp4?s=1a2ed4179c6d7e7b5038e17b163f17ea&profile_id=112&oauth2_token_id=60566597' }
      sd_download_url { 'https://player.vimeo.com/progressive_redirect/download/137864042/container/ce453f96-3506-4e0d-818e-71d62a46e0cd/fde6fb01/qc-intro-1-2022-just-20-pip.mp4%20%28540p%29.mp4?expires=1653556867&loc=external&oauth2_token_id=1212898389&signature=cffe48dad426b274e7a8a3434a7ab2214ae27cf6a07a7524703d7708e0abb40d' }
      hd_download_url { 'https://player.vimeo.com/progressive_redirect/download/137864042/container/ce453f96-3506-4e0d-818e-71d62a46e0cd/375997a9/qc-intro-1-2022-just-20-pip.mp4%20%28720p%29.mp4?expires=1653556867&loc=external&oauth2_token_id=1212898389&signature=ee315963350462fd8f127892180dc8ba0308108839205f10edae8d33d9ca9ec7' }
      width { 560 }
      height { 320 }
      poster { 'https://i.vimeocdn.com/video/532943257_960x549.jpg' }
      duration { 6 }
      downloads_expire { nil }
    end

    trait :api_id_2 do
      provider_video_id { '124597456' }
    end

    trait :with_poster do
      poster { 'http://b.vimeocdn.com/ts/466/499/466499966_1280.jpg' }
    end

    trait :longer_duration do
      duration { 2000 }
    end
  end
end
