# frozen_string_literal: true

require 'spec_helper'
RSpec.describe 'The default provider' do
  # remove default provider for these tests
  before { Provider.destroy_all }

  describe 'updating the default provider' do
    let(:provider) { create(:provider, default: true) }

    it 'is successfully updated' do
      provider.update name: 'test'
      expect(provider.reload.name).to eq 'test'
    end
  end

  describe 'creating another default provider' do
    before { create(:provider, default: true) }

    let(:provider) { create(:provider) }

    it 'is not updated' do
      provider.update default: true
      expect(provider.reload.default).to be_falsey
    end
  end
end
