# frozen_string_literal: true

require 'spec_helper'

RSpec.describe 'Live Events: Delete', type: :request do
  subject(:delete_event) { api.rel(:live_event).delete(id: event.id).value! }

  let!(:event) { create(:live_event) }

  let(:api) { Restify.new(:test).get.value }

  it { is_expected.to respond_with :no_content }

  it 'soft-deletes the event' do
    expect { delete_event }.to change { event.reload.deleted }.from(false).to(true)
  end
end
