# frozen_string_literal: true

require 'spec_helper'

RSpec.describe 'Live Events: List', type: :request do
  subject(:list_events) { api.rel(:live_events).get(params).value! }

  let(:api) { Restify.new(:test).get.value! }
  let(:params) { {} }

  before { create_list(:live_event, 3) }

  it 'is successful' do
    expect(list_events.response.status).to eq :ok
  end

  it 'responds with all live events' do
    expect(list_events.size).to eq 3
  end

  it 'contains all required attributes' do
    expect(list_events.map(&:keys)).to all(
      match_array(%w[id title description speaker start_at live_video_id live_chat_id further_info event_type])
    )
  end
end
