# frozen_string_literal: true

require 'spec_helper'

RSpec.describe 'Live Events: Update', type: :request do
  subject(:update_event) { api.rel(:live_event).patch(update_params, id: event.id).value! }

  let!(:event) { create(:live_event) }

  let(:api) { Restify.new(:test).get.value }

  let(:update_params) do
    {
      title: 'Updated title',
      description: 'Updated description',
    }
  end

  it { is_expected.to respond_with :no_content }

  it 'changes the title' do
    expect { update_event }.to change { event.reload.title }.to 'Updated title'
  end

  it 'changes the description' do
    expect { update_event }.to change { event.reload.description }.to 'Updated description'
  end
end
