# frozen_string_literal: true

require 'spec_helper'

RSpec.describe 'Subtitles: Delete', type: :request do
  subject(:delete_subtitle) { api.rel(:subtitle).delete(id: subtitle.id).value! }

  let(:api) { Restify.new(:test).get.value! }
  let!(:subtitle) { create(:subtitle) }

  it { is_expected.to respond_with :no_content }

  it 'removes the subtitle from the database' do
    expect { delete_subtitle }.to change(Subtitle, :count).from(1).to(0)
  end

  it 'triggers a sync with the video provider' do
    expect { delete_subtitle }.to change(SyncSubtitleWorker.jobs, :size).from(0).to(1)
  end
end
