# frozen_string_literal: true

require 'spec_helper'

RSpec.describe 'Video: Sync', type: :request do
  subject(:sync) { video_api.rel(:sync).post.value! }

  let(:video) { create(:video, slides_stream: nil, lecturer_stream: nil, subtitled_stream: nil) }

  let(:api) { Restify.new(:test).get.value }
  let(:video_api) { api.rel(:video).get(id: video.id).value! }

  it 'responds with 201 Created and triggers stream sync' do
    expect_any_instance_of(Stream).to receive(:sync) # rubocop:disable RSpec/AnyInstance
    expect(sync).to respond_with :created
  end
end
