# frozen_string_literal: true

require 'spec_helper'

RSpec.describe VideosController, type: :routing do
  describe 'routing' do
    it 'routes to #index' do
      expect(get: '/videos').to route_to('videos#index', format: 'json')
    end

    it 'routes to #show' do
      expect(get: '/videos/1').to route_to('videos#show', id: '1', format: 'json')
    end

    it 'routes to #create' do
      expect(post: '/videos').to route_to('videos#create', format: 'json')
    end

    it 'routes to #update' do
      expect(put: '/videos/1').to route_to('videos#update', id: '1', format: 'json')
    end

    it 'routes to #destroy' do
      expect(delete: '/videos/1').to route_to('videos#destroy', id: '1', format: 'json')
    end
  end
end
