# frozen_string_literal: true

RSpec.configure do |rspec|
  # for RSpec 3 compatibility
  rspec.shared_context_metadata_behavior = :apply_to_host_groups
end

RSpec.shared_context 'default_provider', shared_context: :metadata do
  let(:default_provider) do
    Provider.create \
      name: 'default_vimeo_provider',
      default: true,
      token: Rails.application.secrets.vimeo_token,
      provider_type: 'vimeo',
      credentials: {token: Rails.application.secrets.vimeo_token}
  end

  before { default_provider }
end

RSpec.configure do |rspec|
  rspec.include_context 'default_provider', include_shared: true
end
